Athena
Vacuum health

List latest vacuum health snapshot per Postgres client

Returns the most recent `vacuum_health_snapshots` row per `client_name` stored in the logging database (populated by the background vacuum health collector). Requires the static admin key (`ATHENA_KEY_12`).

GET
/admin/vacuum-health

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

Response Body

application/json

application/json

curl -X GET "https://athena-cluster.com/admin/vacuum-health" \  -H "apikey: string"
{
  "snapshots": [
    {
      "id": 0,
      "recorded_at": "2019-08-24T14:15:22Z",
      "client_name": "string",
      "host": "string",
      "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366",
      "total_dead_rows": 0,
      "tables_with_bloat": 0,
      "xid_freeze_risk": 0,
      "tables_needing_vacuum": 0,
      "freeze_max_age": 0,
      "collection_error": "string"
    }
  ]
}
{
  "status": "error",
  "message": "string",
  "error": "string"
}